Skip to main content
POST
/
connected_accounts
/
{accountId}
/
rename
TypeScript
const response: Promise<FireblocksResponse<RenameConnectedAccountResponse>> = fireblocks.connectedAccountsBeta.renameConnectedAccount(connectedAccountsBetaApiRenameConnectedAccountRequest);
"SUCCESS"

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

accountId
string
required

The unique identifier of the connected account

Minimum string length: 1

Body

application/json
accountName
string
required

The new name for the connected account

Example:

"My Trading Account"

Response

Successfully renamed connected account.

Status of the rename operation

Available options:
SUCCESS,
UNAUTHORISED__USER,
UNAUTHORISED__DEVICE,
INVALID_UNMANAGED_WALLET,
INVALID_EXCHANGE_ACCOUNT,
NO_ACTIVE_ADMINS,
TIMEOUT,
INVALID_PARAMETERS,
INTERNAL_ERROR,
INVALID_CREDENTIALS,
INVALID_OTP,
INVALID_OTP_METHOD,
INVALID_NETWORK_CONNECTION,
NETWORK_CONNECTION_EXISTS,
INVALID_CREDENTIALS__UNSUPPORTED_PROVIDER,
UNSUPPORTED_ALGORITHM,
INVALID_CREDENTIALS__IP_WHITELISTING,
INVALID_CREDENTIALS__OTP_FAILED,
UNSUPPORTED_ASSET,
ASSET_ALREADY_EXISTS,
ENV_UNSUPPORTED_ASSET,
NO_CONFIG_CHANGE_NEEDED,
SIMILAR_REQUEST_ALREADY_PENDING,
CLOUD_COSIGNER_ALREADY_EXISTS,
ILLEGAL_OPERATION,
OVERRIDING_PENDING_REQUEST,
OWNER_NOT_IN_GROUP,
INVALID_THIRD_PARTY_ACCOUNT_HIERARCHY,
EXTERNAL_KEY_VALIDATION_FAILED,
NO_AVAILABLE_EXTERNAL_KEYS,
INVALID_PROOF_OF_OWNERSHIP_SIGNATURE,
USER_HAS_EXTERNAL_KEYS,
SCHEMA_ALREADY_EXISTS,
SCHEMA_ID_OUT_OF_RANGE,
FORBIDDEN_SSO_IDP_DOMAIN,
UNKNOWN_ERROR
Example:

"SUCCESS"